IF COL_LENGTH('Prod_Familias', 'Id_Lista_Precio_Web') IS NULL 
	BEGIN
	ALTER TABLE Prod_Familias ADD Id_Lista_Precio_Web SMALLINT
	
	CREATE INDEX IX_PROFAM_PorLista ON Prod_Familias (Id_Lista_Precio_Web)
	
	ALTER TABLE Prod_Familias ADD CONSTRAINT FK_PROFAM_PorLista FOREIGN KEY (Id_Lista_Precio_Web) 
		REFERENCES Prod_Listas_Precios (Id_Lista_Precio) 
	
	
	END
GO

